# Microsoft Visual C++ generated build script - Do not modify

PROJ = MAILCLI
DEBUG = 1
PROGTYPE = 0
CALLER = 
ARGS = 
DLLS = 
D_RCDEFINES = /d_DEBUG 
R_RCDEFINES = /dNDEBUG 
ORIGIN = MSVC
ORIGIN_VER = 1.00
PROJPATH = C:\SOURCE\MAILCLI\MSVC16\
USEMFC = 0
CC = cl
CPP = cl
CXX = cl
CCREATEPCHFLAG = 
CPPCREATEPCHFLAG = 
CUSEPCHFLAG = 
CPPUSEPCHFLAG = 
FIRSTC =             
FIRSTCPP = MAILBOX.CPP 
RC = rc
CFLAGS_D_WEXE = /nologo /G2 /W3 /Zi /AM /Od /D "_DEBUG" /I ".." /I "..\..\common" /FR /GA /Fd"MAILCLI.PDB"
CFLAGS_R_WEXE = /nologo /W3 /AM /O1 /D "NDEBUG" /I ".." /I "..\..\common" /FR /GA 
LFLAGS_D_WEXE = /NOLOGO /ONERROR:NOEXE /NOD /PACKC:61440 /CO /ALIGN:16 /STACK:10240
LFLAGS_R_WEXE = /NOLOGO /ONERROR:NOEXE /NOD /PACKC:61440 /ALIGN:16 /STACK:10240
LIBS_D_WEXE = oldnames libw commdlg shell olecli olesvr mlibcew
LIBS_R_WEXE = oldnames libw commdlg shell olecli olesvr mlibcew
RCFLAGS = /nologo /i .. /i ..\..\common 
RESFLAGS = /nologo 
RUNFLAGS = 
DEFFILE = ..\MAILCLI.DEF
OBJS_EXT = 
LIBS_EXT = ..\..\MSVCLIBS\CTL3DV2.LIB ..\..\MSVCLIBS\WINSOCK.LIB 
!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS_D_WEXE)
LFLAGS = $(LFLAGS_D_WEXE)
LIBS = $(LIBS_D_WEXE)
MAPFILE = nul
RCDEFINES = $(D_RCDEFINES)
!else
CFLAGS = $(CFLAGS_R_WEXE)
LFLAGS = $(LFLAGS_R_WEXE)
LIBS = $(LIBS_R_WEXE)
MAPFILE = nul
RCDEFINES = $(R_RCDEFINES)
!endif
!if [if exist MSVC.BND del MSVC.BND]
!endif
SBRS = MAILBOX.SBR \
		MAILCLI.SBR \
		MAILEDIT.SBR \
		MAILVIEW.SBR \
		CUUENDEC.SBR \
		CBASE64.SBR \
		PARSDATE.SBR \
		CPOP3.SBR \
		CLIST.SBR \
		CSTRLIST.SBR \
		CSOCKADR.SBR \
		CHOST.SBR \
		CASYNCDB.SBR \
		CCONNMGR.SBR \
		CSOCKET.SBR \
		CSMTP.SBR \
		RFC822.SBR \
		CWINSOCK.SBR \
		CMIME.SBR \
		CFILEMAP.SBR \
		UTILITY.SBR


CTL3DV2_DEP = 

WINSOCK_DEP = 

MAILBOX_DEP = c:\source\mailcli\mailcli.rh \
	c:\source\mailcli\mailclig.h


MAILCLI_DEP = c:\source\mailcli\mailcli.rh \
	c:\source\mailcli\mailclig.h


MAILEDIT_DEP = c:\source\mailcli\mailcli.rh \
	c:\source\mailcli\mailclig.h


MAILVIEW_DEP = c:\source\mailcli\mailcli.rh \
	c:\source\mailcli\mailclig.h


CUUENDEC_DEP = c:\source\common\cuuendec.h \
	c:\source\common\myassert.h


CBASE64_DEP = c:\source\common\cbase64.h \
	c:\source\common\myassert.h


PARSDATE_DEP = c:\source\common\parsdate.h


CPOP3_DEP = c:\source\common\cpop3.h \
	c:\source\common\csocket.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\cconnmgr.h \
	c:\source\common\chost.h \
	c:\source\common\casyncdb.h \
	c:\source\common\cstrlist.h \
	c:\source\common\clist.h \
	c:\source\common\myassert.h


CLIST_DEP = c:\source\common\clist.h \
	c:\source\common\myassert.h


CSTRLIST_DEP = c:\source\common\cstrlist.h \
	c:\source\common\clist.h \
	c:\source\common\myassert.h


CSOCKADR_DEP = c:\source\common\csockadr.h \
	c:\source\common\winsock.h


CHOST_DEP = c:\source\common\chost.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\casyncdb.h \
	c:\source\common\myassert.h


CASYNCDB_DEP = c:\source\common\casyncdb.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\myassert.h


CCONNMGR_DEP = c:\source\common\cconnmgr.h \
	c:\source\common\csocket.h \
	c:\source\common\chost.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\casyncdb.h


CSOCKET_DEP = c:\source\common\csocket.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\myassert.h


CSMTP_DEP = c:\source\common\csmtp.h \
	c:\source\common\csocket.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\cconnmgr.h \
	c:\source\common\chost.h \
	c:\source\common\casyncdb.h \
	c:\source\common\caddrlst.h \
	c:\source\common\cstrlist.h \
	c:\source\common\clist.h \
	c:\source\common\myassert.h


RFC822_DEP = c:\source\common\winsock.h \
	c:\source\common\rfc822.h \
	c:\source\common\myassert.h


CWINSOCK_DEP = c:\source\common\cwinsock.h \
	c:\source\common\winsock.h \
	c:\source\common\myassert.h


CMIME_DEP = c:\source\common\cmime.h \
	c:\source\common\clist.h \
	c:\source\common\cfilemap.h \
	c:\source\common\myassert.h \
	c:\source\common\rfc822.h \
	c:\source\common\utility.h


CFILEMAP_DEP = c:\source\common\cfilemap.h \
	c:\source\common\myassert.h


UTILITY_DEP = c:\source\common\utility.h


MAILCLI_RCDEP = 

all:	$(PROJ).EXE $(PROJ).BSC

MAILBOX.OBJ:	..\MAILBOX.CPP $(MAILBOX_DEP)
	$(CPP) $(CFLAGS) $(CPPCREATEPCHFLAG) /c ..\MAILBOX.CPP

MAILCLI.OBJ:	..\MAILCLI.CPP $(MAILCLI_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\MAILCLI.CPP

MAILEDIT.OBJ:	..\MAILEDIT.CPP $(MAILEDIT_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\MAILEDIT.CPP

MAILVIEW.OBJ:	..\MAILVIEW.CPP $(MAILVIEW_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\MAILVIEW.CPP

CUUENDEC.OBJ:	..\..\COMMON\CUUENDEC.CPP $(CUUENDEC_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CUUENDEC.CPP

CBASE64.OBJ:	..\..\COMMON\CBASE64.CPP $(CBASE64_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CBASE64.CPP

PARSDATE.OBJ:	..\..\COMMON\PARSDATE.CPP $(PARSDATE_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\PARSDATE.CPP

CPOP3.OBJ:	..\..\COMMON\CPOP3.CPP $(CPOP3_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CPOP3.CPP

CLIST.OBJ:	..\..\COMMON\CLIST.CPP $(CLIST_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CLIST.CPP

CSTRLIST.OBJ:	..\..\COMMON\CSTRLIST.CPP $(CSTRLIST_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CSTRLIST.CPP

CSOCKADR.OBJ:	..\..\COMMON\CSOCKADR.CPP $(CSOCKADR_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CSOCKADR.CPP

CHOST.OBJ:	..\..\COMMON\CHOST.CPP $(CHOST_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CHOST.CPP

CASYNCDB.OBJ:	..\..\COMMON\CASYNCDB.CPP $(CASYNCDB_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CASYNCDB.CPP

CCONNMGR.OBJ:	..\..\COMMON\CCONNMGR.CPP $(CCONNMGR_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CCONNMGR.CPP

CSOCKET.OBJ:	..\..\COMMON\CSOCKET.CPP $(CSOCKET_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CSOCKET.CPP

CSMTP.OBJ:	..\..\COMMON\CSMTP.CPP $(CSMTP_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CSMTP.CPP

RFC822.OBJ:	..\..\COMMON\RFC822.CPP $(RFC822_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\RFC822.CPP

CWINSOCK.OBJ:	..\..\COMMON\CWINSOCK.CPP $(CWINSOCK_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CWINSOCK.CPP

CMIME.OBJ:	..\..\COMMON\CMIME.CPP $(CMIME_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CMIME.CPP

CFILEMAP.OBJ:	..\..\COMMON\CFILEMAP.CPP $(CFILEMAP_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CFILEMAP.CPP

UTILITY.OBJ:	..\..\COMMON\UTILITY.CPP $(UTILITY_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\UTILITY.CPP

MAILCLI.RES:	..\MAILCLI.RC $(MAILCLI_RCDEP)
	$(RC) $(RCFLAGS) $(RCDEFINES) -r -FoC:\SOURCE\MAILCLI\MSVC16\MAILCLI.RES ..\MAILCLI.RC


$(PROJ).EXE::	MAILCLI.RES

$(PROJ).EXE::	MAILBOX.OBJ MAILCLI.OBJ MAILEDIT.OBJ MAILVIEW.OBJ CUUENDEC.OBJ CBASE64.OBJ \
	PARSDATE.OBJ CPOP3.OBJ CLIST.OBJ CSTRLIST.OBJ CSOCKADR.OBJ CHOST.OBJ CASYNCDB.OBJ \
	CCONNMGR.OBJ CSOCKET.OBJ CSMTP.OBJ RFC822.OBJ CWINSOCK.OBJ CMIME.OBJ CFILEMAP.OBJ \
	UTILITY.OBJ $(OBJS_EXT) $(DEFFILE)
	echo >NUL @<<$(PROJ).CRF
MAILBOX.OBJ +
MAILCLI.OBJ +
MAILEDIT.OBJ +
MAILVIEW.OBJ +
CUUENDEC.OBJ +
CBASE64.OBJ +
PARSDATE.OBJ +
CPOP3.OBJ +
CLIST.OBJ +
CSTRLIST.OBJ +
CSOCKADR.OBJ +
CHOST.OBJ +
CASYNCDB.OBJ +
CCONNMGR.OBJ +
CSOCKET.OBJ +
CSMTP.OBJ +
RFC822.OBJ +
CWINSOCK.OBJ +
CMIME.OBJ +
CFILEMAP.OBJ +
UTILITY.OBJ +
$(OBJS_EXT)
$(PROJ).EXE
$(MAPFILE)
d:\msvc\lib\+
d:\msvc\mfc\lib\+
..\..\MSVCLIBS\CTL3DV2.LIB+
..\..\MSVCLIBS\WINSOCK.LIB+
$(LIBS)
$(DEFFILE);
<<
	link $(LFLAGS) @$(PROJ).CRF
	$(RC) $(RESFLAGS) MAILCLI.RES $@
	@copy $(PROJ).CRF MSVC.BND

$(PROJ).EXE::	MAILCLI.RES
	if not exist MSVC.BND 	$(RC) $(RESFLAGS) MAILCLI.RES $@

run: $(PROJ).EXE
	$(PROJ) $(RUNFLAGS)


$(PROJ).BSC: $(SBRS)
	bscmake @<<
/o$@ $(SBRS)
<<
